<?php
/*******************************************************************************
 * Sauce Software
 ******************************************************************************* 
 * @copyright Copyright (C) 2006 Sauce Software Pty Ltd 
 * @version $Id: vtiger_invoices_example.php,v 1.6 2006/06/14 04:25:18 andrew Exp $
 ******************************************************************************* 
 * @Author: Andrew Patterson  (andrew.patterson@saucesoft.com)
 * Example file to demonstrate functionality of vTiger Invoices SOAP
 * 
 * Change Log:
 * Andrew Patterson   21/06/2006      Original creation 
 ******************************************************************************/
  require_once($base_path."/components/com_soap/nusoap.php");
  
  // Create connection to vTiger SOAP service
  $soap_path = 'http://www.yourserverhere.com/path/to/soap/vtiger_invoices.php';
  $vtiger_connection = new soapclient($soap_path);
  
  // Create new invoice
  $subject = "New Invoice";
  $account_id = "1";
  $invoice_status = "Created";
  $invoice_information = Array("subject" => $subject, "account_id" => $account_id, "invoice_status" => $invoice_status);
  $invoice_id = $vtiger_connection->call('create_invoice', $invoice_information);
  
  // Set invoice due date
  $due_date = '2006-06-06';
  $params = Array("invoice_id" => $invoice_id, "due_date" => $due_date);
  $vtiger_connection->call('set_invoice_due_date', $params); 
  
  // Add product to invoice
  $product_id = "2";
  $quantity = "10";
  $item_price = "10.00";
  $product_information = Array("invoice_id" => $invoice_id, "product_id" => $product_id, "quantity" => $quantity, "item_price" => $item_price);
  $vtiger_connection->call('add_product_to_invoice', $product_information);

  
?>
